## org.mortbay.setuid
Class Passwd

    java.lang.Object
      org.mortbay.setuid.Passwd

    public class Passwd

extends Object

Class is the equivalent java class used for holding values from native c code structure passwd. for more information please see man pages for getpwuid and getpwnam struct passwd { char *pw_name; // user name char *pw_passwd; // user password uid_t pw_uid; // user id gid_t pw_gid; // group id char *pw_gecos; // real name char *pw_dir; // home directory char *pw_shell; // shell program };

Author:
  Leopoldo Lee Agdeppa III

Constructor Summary
`Passwd()`

Method Summary
`String` `getPwDir()`
`String` `getPwGecos()`
`int` `getPwGid()`
`String` `getPwName()`
`String` `getPwPasswd()`
`String` `getPwShell()`
`int` `getPwUid()`
`void` `setPwDir(String pwDir)`
`void` `setPwGid(int pwGid)`
`void` `setPwGid(String pwGecos)`
`void` `setPwName(String pwName)`
`void` `setPwPasswd(String pwPasswd)`
`void` `setPwShell(String pwShell)`
`void` `setPwUid(int pwUid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Passwd

    public Passwd()

Method Detail

### getPwName

    public String getPwName()

### setPwName

    public void setPwName(String pwName)

### getPwPasswd

    public String getPwPasswd()

### setPwPasswd

    public void setPwPasswd(String pwPasswd)

### getPwUid

    public int getPwUid()

### setPwUid

    public void setPwUid(int pwUid)

### getPwGid

    public int getPwGid()

### setPwGid

    public void setPwGid(int pwGid)

### getPwGecos

    public String getPwGecos()

### setPwGid

    public void setPwGid(String pwGecos)

### getPwDir

    public String getPwDir()

### setPwDir

    public void setPwDir(String pwDir)

### getPwShell

    public String getPwShell()

### setPwShell

    public void setPwShell(String pwShell)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.